package com.iformall.service;


import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.po.WxScreenAd;

import java.util.List;

public interface WxScreenAdService {



	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<WxScreenAd> listAsPage(WxScreenAd record, Integer pageIndex, Integer pageSize);


	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxScreenAd getById(Long id);

    /**
     * 保存或更新实体
     *
     * @param record
     */
    ResultData saveOrUpdate(WxScreenAd record);


    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);


    /**
     * 根据实体查询分页列表
     *
     * @param record
     * @return
     */
    List<WxScreenAd> findList(WxScreenAd record);



    void updateStatusByCouponChannelId(Long couponChannelId, String tenantId, int status);

    void updateStatusByCouponId(Long couponId, String tenantId, int status);
}
